## xdg-desktop-portal-kde 5.27.6

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.6-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 21 Jun 2023 11:57:59 +0300

xdg-desktop-portal-kde (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:38:49 +0100

xdg-desktop-portal-kde (5.27.5-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 17:23:10 +0300

xdg-desktop-portal-kde (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:16:34 +0100
