## xdg-desktop-portal-kde 5.27.7

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.7-1ubuntu2) mantic; urgency=medium

  * Add upstream_install-portals.conf-for-plasma.patch to adapt to
    changes in xdg-desktop-portal 1.17.x (LP: #2034763)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Sep 2023 19:39:21 +0100

xdg-desktop-portal-kde (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 20 Aug 2023 11:27:48 +0100

xdg-desktop-portal-kde (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:53:24 +0200

xdg-desktop-portal-kde (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:17:06 +0100
