## xdg-desktop-portal-kde 5.27.8

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)
  * Drop included upstream_install-portals.conf-for-plasma.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:32:53 +0100
