## xdg-desktop-portal-kde 5.27.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.9")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
@@ -57,6 +57,7 @@
     Kirigami2
     Notifications
     Plasma
+    Service
     Wayland
     WidgetsAddons
     WindowSystem
