=== debian/changelog ===
xdg-desktop-portal-kde (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:21:10 +0100
