## xdg-desktop-portal-kde 5.27.10

=== debian/changelog ===
xdg-desktop-portal-kde (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:23:52 +0000
