=== src/CMakeLists.txt ===
--- 
+++ 
@@ -283,6 +283,7 @@
 
 target_link_libraries(xdg-desktop-portal-kde
     Qt::Core
+    Qt::GuiPrivate
     Qt::DBus
     Qt::Concurrent
     Qt::PrintSupport
