=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -24,6 +23,7 @@
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
                libkf5plasma-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
@@ -38,7 +38,7 @@
                qtdeclarative5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
                wayland-protocols (>= 1.25~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
