## xdg-desktop-portal-kde 6.1.4

=== debian/changelog ===
xdg-desktop-portal-kde (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:45:07 +0100

xdg-desktop-portal-kde (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:19 +0200

xdg-desktop-portal-kde (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Jun 2024 12:57:34 +0200

xdg-desktop-portal-kde (5.27.11-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 23:16:44 +0300

xdg-desktop-portal-kde (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:28:19 +0000

xdg-desktop-portal-kde (5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:25:29 +0000

xdg-desktop-portal-kde (5.27.10-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 20:00:55 +0300
