## xdg-desktop-portal-kde 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,21 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "5.27.11")
-set(PROJECT_VERSION_MAJOR 5)
+set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION_MAJOR 6)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.102.0")
+set(PROJECT_DEP_VERSION "6.1.5")
+set(QT_MIN_VERSION "6.6.0")
+set(KF6_MIN_VERSION "6.2.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ################# set KDE specific information #################
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 include(KDEInstallDirs)
@@ -27,10 +28,11 @@
 include(ECMConfiguredInstall)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
+include(ECMFindQmlModule)
 
 include(FeatureSummary)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     Concurrent
     DBus
@@ -38,36 +40,35 @@
     QuickWidgets
     Widgets
     WaylandClient
+    Quick
+    QuickControls2
+    Qml
     Test
 )
-if (QT_MAJOR_VERSION EQUAL "6")
-    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)
-else()
-    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS XkbCommonSupport)
-endif()
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
     CoreAddons
     Config
     I18n
-    Declarative
     GuiAddons
     GlobalAccel
     KIO
-    Kirigami2
+    Kirigami
     Notifications
-    Plasma
     Service
-    Wayland
     WidgetsAddons
     WindowSystem
     IconThemes
+    StatusNotifierItem
 )
+
+find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
+
+ecm_find_qmlmodule(org.kde.iconthemes 1.0)
+ecm_find_qmlmodule(org.kde.plasma.workspace.dialogs 1.0)
 find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
 find_package(PlasmaWaylandProtocols 1.7.0 REQUIRED)
-if (QT_MAJOR_VERSION EQUAL "5")
-    find_package(QtWaylandScanner REQUIRED)
-endif()
 
 find_package(WaylandProtocols 1.25)
 set_package_properties(WaylandProtocols PROPERTIES
