=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.5.0~),
                gettext,
-               kwayland-dev (>= 4:6.2.3~),
+               kwayland-dev (>= 4:6.2.4~),
                libcups2-dev,
                libkf6config-dev (>= 6.5.0~),
                libkf6coreaddons-dev (>= 6.5.0~),
