## xdg-desktop-portal-kde 6.2.5

=== debian/changelog ===
xdg-desktop-portal-kde (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:50 +0100
