=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                gettext,
-               kwayland-dev (>= 4:6.2.4~),
+               kwayland-dev (>= 4:6.2.5~),
                libcups2-dev,
                libkf6config-dev (>= 6.5.0~),
                libkf6coreaddons-dev (>= 6.5.0~),
