## xdg-desktop-portal-kde 6.2.90.2

=== debian/changelog ===
xdg-desktop-portal-kde (6.2.90.2-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:57:05 +0000

xdg-desktop-portal-kde (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:06:31 +0000

xdg-desktop-portal-kde (6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:27:17 -0600

xdg-desktop-portal-kde (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:17:16 +0000

xdg-desktop-portal-kde (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depend on libkf6crash-dev
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:01:08 +0000

xdg-desktop-portal-kde (6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:08:08 +0100
