## xdg-desktop-portal-kde 6.2.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.2.91")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.5")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(PROJECT_DEP_VERSION "6.2.91")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -29,7 +29,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 include(ECMFindQmlModule)
-
+include(ECMDeprecationSettings)
 include(FeatureSummary)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
@@ -61,6 +61,7 @@
     WindowSystem
     IconThemes
     StatusNotifierItem
+    Crash
 )
 
 find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
@@ -86,12 +87,13 @@
 pkg_check_modules(XKB IMPORTED_TARGET xkbcommon REQUIRED)
 add_feature_info(XKB XKB_FOUND "Required for converting keysyms into keycodes")
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055B00)
-
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX XDPK
     VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h)
+
+ecm_set_disabled_deprecation_versions(QT 5.15.0
+    KF 6.4.0
+)
 
 add_subdirectory(data)
 add_subdirectory(src)
@@ -104,4 +106,4 @@
 
 ki18n_install(po)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
