=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xdg-desktop-portal-kde
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
-               kwayland-dev (>= 4:6.2.91~),
+               kwayland-dev (>= 4:6.3.0~),
                libcups2-dev,
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -30,14 +29,14 @@
                libkirigami-dev (>= 6.10.0~),
                libwayland-dev (>= 1.15~),
                plasma-wayland-protocols (>= 1.7.0~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
                wayland-protocols (>= 1.25~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
 Rules-Requires-Root: no
 
 Package: xdg-desktop-portal-kde
